SDL_GetSurfaceAlphaMod(3)

NAME
SDL_GetSurfaceAlphaMod - Get the additional alpha value used in blit operations.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_GetSurfaceAlphaMod(SDL_Surface *surface, Uint8 *alpha);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

alpha
    a pointer filled in with the current alpha value.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetSurfaceColorMod(3), SDL_SetSurfaceAlphaMod(3)